Bug 154848 - [EME] media/encrypted-media/encrypted-media-can-play-type.html is outdated
Summary: [EME] media/encrypted-media/encrypted-media-can-play-type.html is outdated
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Charlie Turner
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-03-01 01:04 PST by Philippe Normand
Modified: 2020-05-05 04:50 PDT (History)
9 users (show)

See Also:


Attachments
Patch (54.61 KB, patch)
2020-05-04 08:09 PDT, Charlie Turner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2016-03-01 01:04:37 PST
It mentions a webkit-prefixed clear-key keysystem. And that "There are currently no implementations supporting encryption of video/mp4" which isn't true, I think.
At least with clear-key it is possible to decrypt h264 videos, for instance.
Comment 1 Philippe Normand 2016-03-01 01:39:09 PST
media/encrypted-media/encrypted-media-can-play-type-webm.html seems abandoned as well.
Comment 2 Philippe Normand 2016-03-01 03:01:49 PST
I see this in mac/TestExpectations:

# These tests are for an obsolete version of the EME spec.
fast/events/constructors/media-key-event-constructor.html [ WontFix ]
media/encrypted-media/encrypted-media-can-play-type-webm.html [ WontFix ]
media/encrypted-media/encrypted-media-events.html [ WontFix ]
media/encrypted-media/encrypted-media-not-loaded.html [ WontFix ]
media/encrypted-media/encrypted-media-syntax.html [ WontFix ]


Why don't we remove those tests?
Comment 3 Charlie Turner 2020-05-04 07:55:29 PDT
fast/events/constructors/media-key-event-constructor.html is no more
media/encrypted-media/encrypted-media-can-play-type-webm.html is no more

media/encrypted-media/encrypted-media-events.html
media/encrypted-media/encrypted-media-not-loaded.html
media/encrypted-media/encrypted-media-syntax.html

 all should get removed, all ports WontFix them.
Comment 4 Charlie Turner 2020-05-04 08:09:12 PDT
Created attachment 398364 [details]
Patch
Comment 5 Charlie Turner 2020-05-04 08:09:42 PDT
I took the liberty of removing more out-of-date EME tests and expectations that what was detailed here.
Comment 6 EWS 2020-05-05 04:49:22 PDT
Committed r261160: <https://trac.webkit.org/changeset/261160>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 398364 [details].
Comment 7 Radar WebKit Bug Importer 2020-05-05 04:50:16 PDT
<rdar://problem/62884220>